import numpy as np
import pandas as pd
from glob import glob
import matplotlib
import matplotlib.pyplot as plt
import datetime
from matplotlib.font_manager import FontProperties


df = pd.read_csv('10310.csv', dtype={
                 '總人口': int}, encoding='utf-8')  # 讀取資料

df1 = pd.read_csv('11010-.csv', dtype={
    '總人口': int}, encoding='utf-8')  # 讀取資料
print(df)

font = FontProperties(fname=r'Font.ttf')
x = np.arange(1)
width = 0.3
plt.pie(df['總人口'], labels=df['里別'], autopct='%1.1f%%',
        fontproperties=font)
# plt.bar(x + width, df1, width, color='blue', label='2021年原住民分布')

plt.xticks(x + width / 5, df.index, fontproperties=font, fontsize=50)

# for label in chart.get_xticklabels():
#     label.set_fontproperties(font)  # 設定字體

plt.rcParams.update({'font.size': 44, "figure.figsize": (40, 30)})
plt.title('2021年5月台南原住民種族人口數量', fontproperties=font)  # 標題
plt.xlabel('種族', fontproperties=font)
plt.ylabel('人數', fontproperties=font)
plt.style.use('dark_background')  # 黑色主題

plt.show()  # render
